      program test2_3
    
      implicit none
    
      include 'mpif.h'

      integer ierr, rank, i
      double precision time_start, time_finish, tick

      call MPI_INIT(ierr)
      tick = MPI_WTICK(ierr)
      time_start = MPI_WTIME(ierr)
      do i = 1, 100
         time_finish = MPI_WTIME(ierr)
      end do
      call MPI_COMM_RANK(MPI_COMM_WORLD, rank, ierr)
      
      print *, 'rank = ', rank, ' tick = ', tick, 
     $         ' time = ', (time_finish-time_start)/100 
      call MPI_FINALIZE(ierr)

      end
